CREATE TABLE LogTmsAju ( 
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Fecha SMALLDATETIME NOT NULL,
NumDocAjs INT DEFAULT (0) NOT NULL,
NumDocAjf INT DEFAULT (0) NOT NULL,
EstadoProc INT DEFAULT (0) NOT NULL,
TimeSys SMALLDATETIME NOT NULL,
IdUsuario VARCHAR(11) NOT NULL,
Nombre VARCHAR(50) NOT NULL
 CONSTRAINT PK_LogTmsAju PRIMARY KEY CLUSTERED (Numero,IdCia),
 CONSTRAINT CK_LogTmsAjuIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogTmsAjuIdUsuario CHECK ((len([IdUsuario]) > 0)),
 CONSTRAINT CK_LogTmsAjuNombre CHECK ((len([Nombre]) > 0)))
GO
CREATE TABLE LogTmsAjuProd ( 
Numero INT DEFAULT (0) NOT NULL,
IdCia CHAR(2) NOT NULL,
Item INT DEFAULT (0) NOT NULL,
IdProducto VARCHAR(16) NOT NULL,
DescripProd VARCHAR(150) NOT NULL,
TipFac VARCHAR(3) DEFAULT ('0') NOT NULL,
Factura INT DEFAULT (0) NOT NULL,
IdCiaFac CHAR(2) DEFAULT ('00') NOT NULL,
NumGuia INT DEFAULT (0) NOT NULL,
IdCiaGuia CHAR(2) DEFAULT ('00') NOT NULL,
CdTanque VARCHAR(4),
CantFact DECIMAL(14,4) DEFAULT (0) NOT NULL,
CantGuia DECIMAL(14,4) DEFAULT (0) NOT NULL,
galsbruto DECIMAL(14,4) DEFAULT (0) NOT NULL,
galsneto DECIMAL(14,4) DEFAULT (0) NOT NULL,
Temperatura DECIMAL(14,4) DEFAULT (0) NOT NULL,
Densidad DECIMAL(14,4) DEFAULT (0) NOT NULL,
Referencia VARCHAR(50),
Observacion VARCHAR(250),
NitCliente VARCHAR(16),
CdAgencia VARCHAR(16)
 CONSTRAINT PK_LogTmsAjuProd PRIMARY KEY CLUSTERED (Numero,IdCia,Item),
 CONSTRAINT CK_LogTmsAjuProdDescripProd CHECK ((len([DescripProd]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdCia CHECK ((len([IdCia]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdCiaFac CHECK ((len([IdCiaFac]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdCiaGuia CHECK ((len([IdCiaGuia]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdIdProducto CHECK ((len([IdProducto]) > 0)),
 CONSTRAINT CK_LogTmsAjuProdTipFac CHECK ((len([TipFac]) > 0)))
GO
CREATE NONCLUSTERED INDEX IX_LogTmsAjuFecha ON LogTmsAju(Fecha)

ALTER TABLE LogTmsAjuProd ADD 
 CONSTRAINT FK_LogTmsAjuProd_LogTmsAju FOREIGN KEY (Numero,IdCia) REFERENCES [dbo].[LogTmsAju] (Numero,IdCia)
 CREATE NONCLUSTERED INDEX IX_LogTmsAjuProdIdProducto ON LogTmsAjuProd(IdProducto)
 CREATE NONCLUSTERED INDEX IX_LogTmsAjuProdFactura ON LogTmsAjuProd(TipFac,Factura,IdCiaFac)

